% standard routine for the interpolation of 2D data
% Adrian Flores Orozco

%clear variables
clear all; close all;

%limits for the color scale
omin=10; omax=3000;

%reading input file
Z1=dlmread('.\test_eubung4.dat','',1,0);

% opening a figure with the entire size of the window
figi=figure;
set(figi,'units','normalized','outerposition',[0 0 1 1]);
set(figi, 'Color','white')
axs= axes('Parent',figi); 
axis tight;

% for an interpolation we need to create a grid
    xres = 500;      % number of elements in the x-direction                       
	yres = 500;      % number of elements in the y-direction
    
    %minimum and maximum value for the x- and y-axis
	xmin=0; 	xmax = 6; 
	ymin=1;     ymax = 8;
    
    %create the grid
	xx = linspace(xmin, xmax, xres);
	yy = linspace(ymin, ymax, yres);
[XI,YI]=meshgrid(xx, yy);    

%interpolate the data
ZI = griddata(Z1(:,1), Z1(:,2), Z1(:,3), XI,YI,'linear' ); 

%plot the interpolation
hold on
	imagesc(xx,yy,ZI);    
    plot(Z1(:,1),Z1(:,2),'w.')
caxis([omin omax]);
    set(gca,'YDir','normal');
colorbar('ver','CLim',[omin omax]);
xlim([0 6]); ylim([0 8]);
set(gca,'DataAspectRatio',[1 1 1],'fontsize',8,'TickDir','out')
title( 'linear','fontsize',12);
hold off